Subject: [re-ECN] BOF follow-up

From: Lars Eggert <[email-masked]>
Date: Wed, 18 Nov 2009 16:47:44 +0200

Hi,

I wanted to send a quick follow-up now that the BOF has happened, to let you all know where I think we are.

My take-away was that the BOF went rather well, considering that the topic is complex and has many architectural implications. It seemed that many folks thought that the problem space was important, and that the IETF should begin some work here.

The discussion of Re-ECN as one possible example for how a solution in this space could look like sidetracked for a bit, because people needed to ask clarification questions about  the proposal, and then tried to understand in more detail all the different aspects of the proposal. (Which I also took as an indication of interest in the problem, although we did probably spend more time here than planned.)

The strongest impression I came away with from the BOF is that there is significant interest and energy in the community, but that we need more time to discuss and work through exactly what problems we'd try to solve, before it'll be productive to spent a lot of time on specific solution proposals.

This discussion can obviously happen on a mailing list, but because CONEX is complex and architectural, I could also see us starting a WG here to provide a forum for this (preparatory) discussion, rather than as a vessel for working out the details of a solution. Having another BOF isn't quite the right thing to do IMO, because we're not at a stage where just a few kinks need to be worked out to start working on a solution.

For now, while we work out what we want to do, I'd like to ask the BOF chairs (Leslie and Phil) to continue to lead the discussion.

Lars

PS: We may want to think about starting a CONEX mailing list - several folks have indicated to me that they thought that CONEX was about standardizing Re-ECN, because of which mailing list was used for the BOF.